/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

public class ImageDef extends ComponentDef {
	private String imageOut;

	private String imageOn;

	private String alternateText;

	private String imageDisabled;

	private String boolFloatLeft;

	private String boolFloatRight;

	public String getAlternateText() {
		return alternateText;
	}

	public void setAlternateText(String alt) {
		this.alternateText = alt;
	}

	public String getImageOut() {
		return imageOut;
	}

	public void setImageOut(String imageOut) {
		this.imageOut = imageOut;
	}

	public String getImageOn() {
		return imageOn;
	}

	public void setImageOn(String imageOn) {
		this.imageOn = imageOn;
	}

	public String getBoolFloatLeft() {
		return boolFloatLeft;
	}

	public void setBoolFloatLeft(String boolFloatLeft) {
		this.boolFloatLeft = boolFloatLeft;
	}

	public String getBoolFloatRight() {
		return boolFloatRight;
	}

	public void setBoolFloatRight(String boolFloatRight) {
		this.boolFloatRight = boolFloatRight;
	}

	public String getImageDisabled() {
		return imageDisabled;
	}

	public void setImageDisabled(String imageDisabled) {
		this.imageDisabled = imageDisabled;
	}

}
